import request from "@/utils/request";

/******************************************************************钻进**************************************************************/

//计算参数

//计算参数查询
export function listZuanJinParams(id) {
  return request({
    url: "/dt/dtTzxlxxZjJscs/zjxx/" + id,
    method: "get",
  });
}
// 计算参数新增
export function addZuanJinParams(data) {
  return request({
    url: "/dt/dtTzxlxxZjJscs",
    method: "post",
    data: data,
  });
}
//计算参数编辑
export function updateZuanJinParams(data) {
  return request({
    url: "/dt/dtTzxlxxZjJscs",
    method: "put",
    data: data,
  });
}
//计算参数删除
export function delZuanJinParams(id) {
  return request({
    url: "/dt/dtTzxlxxZjJscs/" + id,
    method: "delete",
  });
}

//泥浆性能

//泥浆性能查询
export function listZuanJinXingN(id) {
  return request({
    url: "/dt/dtTzxlxxZjNjxn/zjxx/" + id,
    method: "get",
  });
}
// 泥浆性能新增
export function addZuanJinXingN(data) {
  return request({
    url: "/dt/dtTzxlxxZjNjxn",
    method: "post",
    data: data,
  });
}
//泥浆性能编辑
export function updateZuanJinXingN(data) {
  return request({
    url: "/dt/dtTzxlxxZjNjxn",
    method: "put",
    data: data,
  });
}
//泥浆性能删除
export function delZuanJinXingN(id) {
  return request({
    url: "/dt/dtTzxlxxZjNjxn/" + id,
    method: "delete",
  });
}

//司钻
//旋转钻进司钻摩阻图
export function getZhengSiMOZu(query) {
  return request({
    url: "/st/stMzynj/dtSzZjnjDmzxsmgx/",
    method: "get",
    params: query,
  });
}

//滑动钻进司钻摩阻图
export function getHuaSiMOZu(query) {
  return request({
    url: "/st/stMzynj/dtSzHdzjnjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//旋转钻进、滑动钻司钻进司钻水力载荷
export function getZhengSiShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtZjSz_slzh/",
    method: "get",
    params: query,
  });
}

//剖面
//旋转钻进剖面
export function getZhengPouMOZu(query) {
  return request({
    url: "/st/stMzynj/dtPmZjnjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//滑动钻进剖面
export function getHuaPouMOZu(query) {
  return request({
    url: "/st/stMzynj/dtPmHdzjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//旋转钻进、滑动钻司钻进剖面水力载荷
export function getZhengPouShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtZjPm_slzh/",
    method: "get",
    params: query,
  });
}
//旋转钻进、滑动钻司钻进井筒清洁
export function getZhengszjtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtZjSz_jtqj",
    method: "get",
    params: query,
  });
}
//旋转钻进、滑动钻司剖面井筒清洁
export function getZhengpmjtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtZjPm_jtqj",
    method: "get",
    params: query,
  });
}
//钻压
//旋转钻进剖面
export function getXuanPouZuanYa(query) {
  return request({
    url: "/st/stMzynj/dtPmXzzjZy/",
    method: "get",
    params: query,
  });
}
//滑动钻进剖面
export function getHuaPouZuanYa(query) {
  return request({
    url: "/st/stMzynj/dtPmHdzjZy/",
    method: "get",
    params: query,
  });
}
/******************************************************************提离井底**************************************************************/

//计算参数

//计算参数查询
export function listTiLiParams(id) {
  return request({
    url: "/dt/dtTzxlxxTljdJscs/zjxx/" + id,
    method: "get",
  });
}
// 计算参数新增
export function addTiLiParams(data) {
  return request({
    url: "/dt/dtTzxlxxTljdJscs",
    method: "post",
    data: data,
  });
}
//计算参数编辑
export function updateTiLiParams(data) {
  return request({
    url: "/dt/dtTzxlxxTljdJscs",
    method: "put",
    data: data,
  });
}
//计算参数删除
export function delTiLiParams(id) {
  return request({
    url: "/dt/dtTzxlxxTljdJscs/" + id,
    method: "delete",
  });
}

//泥浆性能
// 泥浆性能查询
export function listTiLiXingN(id) {
  return request({
    url: "/dt/dtTzxlxxTljdNjxn/zjxx/" + id,
    method: "get",
  });
}
// 泥浆性能新增
export function addTiLiXingN(data) {
  return request({
    url: "/dt/dtTzxlxxTljdNjxn",
    method: "post",
    data: data,
  });
}
//泥浆性能编辑
export function updateTiLiXingN(data) {
  return request({
    url: "/dt/dtTzxlxxTljdNjxn",
    method: "put",
    data: data,
  });
}
//泥浆性能删除
export function delTiLiXingN(id) {
  return request({
    url: "/dt/dtTzxlxxTljdNjxn/" + id,
    method: "delete",
  });
}
//司钻
export function getTiLiSiMOZu(query) {
  return request({
    url: "/st/stMzynj/dtSzTljdnjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//剖面
export function getTiLiPouMOZu(query) {
  return request({
    url: "/st/stMzynj/dtPmTljdDmzxsmgx/",
    method: "get",
    params: query,
  });
}
/******************************************************************起钻  起钻（短）**************************************************************/

//计算参数

//计算参数查询
export function listQiZuanParams(id) {
  return request({
    url: "/dt/dtTzxlxxQzJscs/zjxx/" + id,
    method: "get",
  });
}
// 计算参数新增
export function addQiZuanParams(data) {
  return request({
    url: "/dt/dtTzxlxxQzJscs",
    method: "post",
    data: data,
  });
}
//计算参数编辑
export function updateQiZuanParams(data) {
  return request({
    url: "/dt/dtTzxlxxQzJscs",
    method: "put",
    data: data,
  });
}
// 计算参数删除
export function delQiZuanParams(id) {
  return request({
    url: "/dt/dtTzxlxxQzJscs/" + id,
    method: "delete",
  });
}
//泥浆性能

//泥浆性能查询
export function listQiZuanXingN(id) {
  return request({
    url: "/dt/dtTzxlxxQzNjxn/zjxx/" + id,
    method: "get",
  });
}
// 泥浆性能新增
export function addQiZuanXingN(data) {
  return request({
    url: "/dt/dtTzxlxxQzNjxn",
    method: "post",
    data: data,
  });
}
//泥浆性能编辑
export function updateQiZuanXingN(data) {
  return request({
    url: "/dt/dtTzxlxxQzNjxn",
    method: "put",
    data: data,
  });
}
//泥浆性能删除
export function delQiZuanXingN(id) {
  return request({
    url: "/dt/dtTzxlxxQzNjxn/" + id,
    method: "delete",
  });
}

//摩阻图
// 起钻-司钻
export function getQizuanSiMOZu(query) {
  return request({
    url: "/st/stMzynj/dtSzQznjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//起钻-剖面
export function getQizuanPouMOZu(query) {
  return request({
    url: "/st/stMzynj/dtPmQzDmzxsmgx/",
    method: "get",
    params: query,
  });
}

//起钻-司钻 水力载荷图
export function getQizuanSiShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtQzSz_slzh/",
    method: "get",
    params: query,
  });
}
//起钻-剖面 水力载荷图
export function getQizuanPouShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtQzPm_slzh/",
    method: "get",
    params: query,
  });
}
//起钻-剖面 水力载荷图
export function getQizuansl(query) {
  return request({
    url: "/slzh/stSlzh/dtQzSz_slzh_lg/",
    method: "get",
    params: query,
  });
}
//起钻-剖面 井筒清洁图
export function getQizuanPoujtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtQzPm_jtqj/",
    method: "get",
    params: query,
  });
}

//起钻-司钻 井筒清洁图
export function getQizuanSijtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtQzSz_jtqj/",
    method: "get",
    params: query,
  });
}
/******************************************************************下钻  下钻（短）**************************************************************/

//计算参数

//计算参数查询
export function listXiaZuanParams(id) {
  return request({
    url: "/dt/dtTzxlxxXzJscs/zjxx/" + id,
    method: "get",
  });
}
// 计算参数新增
export function addXiaZuanParams(data) {
  return request({
    url: "/dt/dtTzxlxxXzJscs",
    method: "post",
    data: data,
  });
}
//计算参数编辑
export function updateXiaZuanParams(data) {
  return request({
    url: "/dt/dtTzxlxxXzJscs",
    method: "put",
    data: data,
  });
}
//计算参数删除
export function delXiaZuanParams(id) {
  return request({
    url: "/dt/dtTzxlxxXzJscs/" + id,
    method: "delete",
  });
}

//泥浆性能
// 泥浆性能查询
export function listXiaZuanXingN(id) {
  return request({
    url: "/dt/dtTzxlxxXzNjxn/zjxx/" + id,
    method: "get",
  });
}
// 泥浆性能新增
export function addXiaZuanXingN(data) {
  return request({
    url: "/dt/dtTzxlxxXzNjxn",
    method: "post",
    data: data,
  });
}
//泥浆性能编辑
export function updateXiaZuanXingN(data) {
  return request({
    url: "/dt/dtTzxlxxXzNjxn",
    method: "put",
    data: data,
  });
}
//泥浆性能删除
export function delXiaZuanXingN(id) {
  return request({
    url: "/dt/dtTzxlxxXzNjxn/" + id,
    method: "delete",
  });
}
//摩阻图
// 下钻-司钻
export function getXiaZuanSiMOZu(query) {
  return request({
    url: "/st/stMzynj/dtSzXznjDmzxsmgx/",
    method: "get",
    params: query,
  });
}
//下钻-剖面
export function getXiaZuanPouMOZu(query) {
  return request({
    url: "/st/stMzynj/dtPmXzDmzxsmgx/",
    method: "get",
    params: query,
  });
}

//水力载荷
// 下钻-司钻
export function getXiaZuanSiShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtXzSz_slzh/",
    method: "get",
    params: query,
  });
}

// 下钻-司钻
export function getXiaZuanSisl(query) {
  return request({
    url: "/slzh/stSlzh/dtXzSz_slzh_lg/",
    method: "get",
    params: query,
  });
}
//下钻-剖面
export function getXiaZuanPouShuiLi(query) {
  return request({
    url: "/slzh/stSlzh/dtXzPm_slzh/",
    method: "get",
    params: query,
  });
}
// 下钻-司钻 井筒清洁
export function getXiaZuanSijtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtXzSz_jtqj/",
    method: "get",
    params: query,
  });
}
//下钻-剖面 井筒清洁
export function getXiaZuanPoujtqj(query) {
  return request({
    url: "/jtqj/stJtqj/dtXzPm_jtqj/",
    method: "get",
    params: query,
  });
}
/******************************************************************钻机参数**************************************************************/

//钻机参数查询
export function listZUanJiParams(id) {
  return request({
    url: "/dt/dtZjqxzzjcs/zjxx/" + id,
    method: "get",
  });
}

//钻机参数新增
export function addZUanJiParams(data) {
  return request({
    url: "/dt/dtZjqxzzjcs",
    method: "post",
    data: data,
  });
}
//钻机参数编辑
export function updateZUanJiParams(data) {
  return request({
    url: "/dt/dtZjqxzzjcs",
    method: "put",
    data: data,
  });
}
/******************************************************************现场数据**************************************************************/
//现场数据 钻进查询
export function getZuanJinFieldData(query) {
  return request({
    url: "/lj/ljSssj/list2",
    method: "get",
    params: query,
  });
}
//钻进 泥浆数据
export function getZuanJinNiJData(query) {
  return request({
    url: "/dt/dtNjtb/list2",
    method: "get",
    params: query,
  });
}
/******************************************************************钻进 起下钻 钻具组合**************************************************************/
//钻具组合图
export function getActualZjzhPic(query) {
  return request({
    url: "/dt/dtZjzhsj/list",
    method: "get",
    params: query,
  });
}

//钻具组合结构图新增
export function addActualZjzhPic(data) {
  return request({
    url: "/dt/dtZjzhsj",
    method: "post",
    data,
  });
}
//钻具组合结构图修改
export function editActualZjzhPic(data) {
  return request({
    url: "/dt/dtZjzhsj",
    method: "put",
    data,
  });
}
//结构图顺序更新
export function updateActualZjzhPic(data) {
  return request({
    url: "/dt/dtZjzhsj/updatesx",
    method: "post",
    data,
  });
}
// 结构单个删除
export function deleteActualZjzhPic(id) {
  return request({
    url: "/dt/dtZjzhsj/" + id,
    method: "delete",
  });
}
//钻头
//钻头信息
export function getActualZuanTouInfo(id) {
  return request({
    url: "/dt/dtZjzhztou/ztxx/" + id,
    method: "get",
  });
}
//钻头新增
export function addActualZuanTou(data) {
  return request({
    url: "/dt/dtZjzhztou",
    method: "post",
    data,
  });
}
//钻头编辑
export function editActualZuanTou(data) {
  return request({
    url: "/dt/dtZjzhztou",
    method: "put",
    data,
  });
}
//钻头删除
export function deleteActualZuanTou(id) {
  return request({
    url: "/dt/dtZjzhztou/" + id,
    method: "delete",
  });
}
//钻头厂家信息
export function getZuanTouZzs(query) {
  return request({
    url: "/jtzj/jtzjZtou/list",
    method: "get",
    params: query,
  });
}
//过钻头降压
//过钻头降压List
export function getActualGuoZuanTouList(query) {
  return request({
    url: "/dt/dtZjzhztouGztjt/list",
    method: "get",
    params: query,
  });
}
//过钻头降压新增
export function addActualGuoZuanTou(data) {
  return request({
    url: "/dt/dtZjzhztouGztjt",
    method: "post",
    data,
  });
}
//过钻头降压编辑
export function editActualGuoZuanTou(data) {
  return request({
    url: "/dt/dtZjzhztouGztjt",
    method: "put",
    data,
  });
}
//过钻头降压删除
export function deleteActualGuoZuanTou(id) {
  return request({
    url: "/dt/dtZjzhztouGztjt/" + id,
    method: "delete",
  });
}
//排量
//排量List
export function getActualPaiLiangList(query) {
  return request({
    url: "/dt/dtZjzhztouPl/list",
    method: "get",
    params: query,
  });
}
//排量新增
export function addActualPaiLiang(data) {
  return request({
    url: "/dt/dtZjzhztouPl",
    method: "post",
    data,
  });
}
//排量编辑
export function editActualPaiLiang(data) {
  return request({
    url: "/dt/dtZjzhztouPl",
    method: "put",
    data,
  });
}
//排量删除
export function deleteActualPaiLiang(id) {
  return request({
    url: "/dt/dtZjzhztouPl/" + id,
    method: "delete",
  });
}

//螺杆钻具
//螺杆钻具信息
export function getActualLuoGanInfo(id) {
  return request({
    url: "/dt/dtZjzhlgzj/zjxx/" + id,
    method: "get",
  });
}
//螺杆钻具厂商信息
export function getLuoGanZzs(query) {
  return request({
    url: "/jtzj/jtzjLgzj/list",
    method: "get",
    params: query,
  });
}
//螺杆新增
export function addActualLuoGan(data) {
  return request({
    url: "/dt/dtZjzhlgzj",
    method: "post",
    data,
  });
}
//螺杆编辑的保存
export function editActualLuoGan(data) {
  return request({
    url: "/dt/dtZjzhlgzj",
    method: "put",
    data,
  });
}
//螺杆删除
export function deleteActualLuoGan(id) {
  return request({
    url: "/dt/dtZjzhlgzj/" + id,
    method: "delete",
  });
}
// 旋转导向
//旋转导向信息
export function getActualXuanZhuanInfo(id) {
  return request({
    url: "/dt/dtZjzhxzdx/zjxx/" + id,
    method: "get",
  });
}
//旋转导向厂商信息
export function getXuanZhuanZzs(query) {
  return request({
    url: "/jtzj/jtzjXzdx/list",
    method: "get",
    params: query,
  });
}
//旋转导向新增
export function addActualXuanZhuan(data) {
  return request({
    url: "/dt/dtZjzhxzdx",
    method: "post",
    data,
  });
}
//旋转导向编辑的保存
export function editActualXuanZhuan(data) {
  return request({
    url: "/dt/dtZjzhxzdx",
    method: "put",
    data,
  });
}
///旋转导向删除
export function deleteActualXuanZhuan(id) {
  return request({
    url: "/dt/dtZjzhxzdx/" + id,
    method: "delete",
  });
}
//MWD
//MWD信息
export function getActualMWDInfo(id) {
  return request({
    url: "/dt/dtZjzhmwd/zjxx/" + id,
    method: "get",
  });
}
//MWD厂商信息
export function getMWDZzs(query) {
  return request({
    url: "/jtzj/jtzjMwd/list",
    method: "get",
    params: query,
  });
}
//MWD新增
export function addActualMWD(data) {
  return request({
    url: "/dt/dtZjzhmwd",
    method: "post",
    data,
  });
}
//MWD编辑的保存
export function editActualMWD(data) {
  return request({
    url: "/dt/dtZjzhmwd",
    method: "put",
    data,
  });
}
//MWD导向删除
export function deleteActualMWD(id) {
  return request({
    url: "/dt/dtZjzhmwd/" + id,
    method: "delete",
  });
}
//钻铤
//钻铤信息
export function getActualZuanTingInfo(id) {
  return request({
    url: "/dt/dtZjzhzting/zjxx/" + id,
    method: "get",
  });
}
//钻铤厂商信息
export function getZuanTingZzs(query) {
  return request({
    url: "/jtzj/jtzjZting/list",
    method: "get",
    params: query,
  });
}
//钻铤新增
export function addActualZuanTing(data) {
  return request({
    url: "/dt/dtZjzhzting",
    method: "post",
    data,
  });
}
//钻铤编辑的保存
export function editActualZuanTing(data) {
  return request({
    url: "/dt/dtZjzhzting",
    method: "put",
    data,
  });
}
//钻铤删除
export function deleteActualZuanTing(id) {
  return request({
    url: "/dt/dtZjzhzting/" + id,
    method: "delete",
  });
}
//加重钻杆
//加重钻杆信息
export function getActualJiaZhongInfo(id) {
  return request({
    url: "/dt/dtZjzhjzzg/zjxx/" + id,
    method: "get",
  });
}
//加重钻杆厂商信息
export function getJiaZhongZzs(query) {
  return request({
    url: "/jtzj/jtzjJzzg/list",
    method: "get",
    params: query,
  });
}
//加重钻杆新增
export function addActualJiaZhong(data) {
  return request({
    url: "/dt/dtZjzhjzzg",
    method: "post",
    data,
  });
}
//加重钻杆编辑
export function editActualJiaZhong(data) {
  return request({
    url: "/dt/dtZjzhjzzg",
    method: "put",
    data,
  });
}
//加重钻杆导向删除
export function deleteActualJiaZhong(id) {
  return request({
    url: "/dt/dtZjzhjzzg/" + id,
    method: "delete",
  });
}
//钻杆
//钻杆信息
export function getActualZuanGanInfo(id) {
  return request({
    url: "/dt/dtZjzhzg/zjxx/" + id,
    method: "get",
  });
}
//钻杆厂商信息
export function getZuanGanZzs(query) {
  return request({
    url: "/jtzj/jtzjZg/list",
    method: "get",
    params: query,
  });
}
//钻杆新增
export function addActualZuanGan(data) {
  return request({
    url: "/dt/dtZjzhzg",
    method: "post",
    data,
  });
}
//钻杆编辑的保存
export function editActualZuanGan(data) {
  return request({
    url: "/dt/dtZjzhzg",
    method: "put",
    data,
  });
}
//钻杆导向删除
export function deleteActualZuanGan(id) {
  return request({
    url: "/dt/dtZjzhzg/" + id,
    method: "delete",
  });
}
//稳定器
//稳定器信息
export function getActualWenDingInfo(id) {
  return request({
    url: "/dt/dtZjzhwdq/zjxx/" + id,
    method: "get",
  });
}
//稳定器厂商信息
export function getWenDingZzs(query) {
  return request({
    url: "/jtzj/jtzjWdq/list",
    method: "get",
    params: query,
  });
}
//稳定器新增
export function addActualWenDing(data) {
  return request({
    url: "/dt/dtZjzhwdq",
    method: "post",
    data,
  });
}
//稳定器编辑的保存
export function editActualWenDing(data) {
  return request({
    url: "/dt/dtZjzhwdq",
    method: "put",
    data,
  });
}
//稳定器导向删除
export function deleteActualWenDing(id) {
  return request({
    url: "/dt/dtZjzhwdq/" + id,
    method: "delete",
  });
}
//扩眼器
//扩眼器信息
export function getActualKuoYanInfo(id) {
  return request({
    url: "/dt/dtZjzhkyq/zjxx/" + id,
    method: "get",
  });
}
//扩眼器厂商信息
export function getKuoYanZzs(query) {
  return request({
    url: "/jtzj/jtzjKyq/list",
    method: "get",
    params: query,
  });
}
//扩眼器新增
export function addActualKuoYan(data) {
  return request({
    url: "/dt/dtZjzhkyq",
    method: "post",
    data,
  });
}
//扩眼器编辑的保存
export function editActualKuoYan(data) {
  return request({
    url: "/dt/dtZjzhkyq",
    method: "put",
    data,
  });
}
//扩眼器删除
export function deleteActualKuoYan(id) {
  return request({
    url: "/dt/dtZjzhkyq/" + id,
    method: "delete",
  });
}
//总流面积
// 查询总流面积
export function listActualZongLiuArea(query) {
  return request({
    url: "/dt/dtZjzhkyqZlmj/list",
    method: "get",
    params: query,
  });
}
//总流面积新增
export function addActualZongLiuArea(data) {
  return request({
    url: "/dt/dtZjzhkyqZlmj",
    method: "post",
    data: data,
  });
}
//总流面积编辑
export function updateActualZongLiuArea(data) {
  return request({
    url: "/dt/dtZjzhkyqZlmj",
    method: "put",
    data: data,
  });
}
//总流面积删除
export function deleteActualZongLiuArea(id) {
  return request({
    url: "/dt/dtZjzhkyqZlmj/" + id,
    method: "delete",
  });
}
//工具分流
// 查询工具分流
export function listActualGongJuFL(query) {
  return request({
    url: "/dt/dtZjzhkyqGjfl/list",
    method: "get",
    params: query,
  });
}
//工具分流新增
export function addActualGongJuFL(data) {
  return request({
    url: "/dt/dtZjzhkyqGjfl",
    method: "post",
    data: data,
  });
}
//工具分流编辑
export function updateActualGongJuFL(data) {
  return request({
    url: "/dt/dtZjzhkyqGjfl",
    method: "put",
    data: data,
  });
}
//工具分流删除
export function deleteActualGongJuFL(id) {
  return request({
    url: "/dt/dtZjzhkyqGjfl/" + id,
    method: "delete",
  });
}
// -----套管
//套管结构图
export function getTgjgt(query) {
  return request({
    url: "/dt/dtZjzhsj/list",
    method: "get",
    params: query,
  });
}
//套管信息
export function getTgxx(id) {
  return request({
    url: "/dt/dtZjzhtg/tgxx/" + id,
    method: "get",
  });
}
//选择套管
export function getTgList(query) {
  return request({
    url: "/jtzj/jtzjTg/list",
    method: "get",
    params: query,
  });
}
//套管编辑保存
export function updateTg(data) {
  return request({
    url: "/dt/dtZjzhtg",
    method: "put",
    data,
  });
}
//套管新增
export function addTg(data) {
  return request({
    url: "/dt/dtZjzhtg",
    method: "post",
    data,
  });
}
//结构图修改
export function updateJgt(data) {
  return request({
    url: "/dt/dtZjzhsj",
    method: "put",
    data,
  });
}

//套管 施工参数查询
export function listTgsgcs(id) {
  return request({
    url: "/dt/dtZjzhxtgsgcs/sgcs/" + id,
    method: "get",
  });
}
//施工参数新增
export function addTgsgcs(data) {
  return request({
    url: "/jt/jtZjzhxtgsgcs",
    method: "post",
    data,
  });
}
//施工参数编辑
export function editTgsgcs(data) {
  return request({
    url: "/dt/dtZjzhxtgsgcs",
    method: "put",
    data,
  });
}
//流量限制list
export function listTglyxz(query) {
  return request({
    url: "/dt/dtZjzhxtgsgcsLyxz/list",
    method: "get",
    params: query,
  });
}
//流量限制新增
export function addTglyxz(data) {
  return request({
    url: "/dt/dtZjzhxtgsgcsLyxz",
    method: "post",
    data,
  });
}
//流量限制编辑
export function editTglyxz(data) {
  return request({
    url: "/dt/dtZjzhxtgsgcsLyxz",
    method: "put",
    data,
  });
}
//流量限制删除
export function deleteTglyxz(id) {
  return request({
    url: "/dt/dtZjzhxtgsgcsLyxz/" + id,
    method: "delete",
  });
}
/**其他钻具开始 */
// 其他钻具信息
export function getOtherInfo(id) {
  return request({
    url: "/dt/dtZjzhqtzj/zjxx/" + id,
    method: "get",
  });
}
//其他钻具新增
export function addOtherDrill(data) {
  return request({
    url: "/dt/dtZjzhqtzj",
    method: "post",
    data: data,
  });
}
//其他钻具编辑
export function editOtherDrill(data) {
  return request({
    url: "/dt/dtZjzhqtzj",
    method: "put",
    data: data,
  });
}
//其他钻具删除
export function deleteOtherDrill(id) {
  return request({
    url: "/dt/dtZjzhqtzj/" + id,
    method: "delete",
  });
}
/**其他钻具结束 */
// ----套管鞋----
// 套管鞋信息
export function getTgx(id) {
  return request({
    url: "/dt/dtZjzhtgx/ztxx/" + id,
    method: "get",
  });
}
// 套管鞋信息

//保存套管鞋
export function saveTgx(data) {
  return request({
    url: "/dt/dtZjzhtgx",
    method: "post",
    data: data,
  });
}
//编辑套管鞋
export function editTgx(data) {
  return request({
    url: "/dt/dtZjzhtgx",
    method: "put",
    data: data,
  });
}
//删除套管鞋
export function deleteTgx(id) {
  return request({
    url: "/dt/dtZjzhtgx/" + id,
    method: "delete",
  });
}
//套管鞋水眼
// 套管鞋水眼信息
export function getTgxsy(zjzhsjid) {
  return request({
    url: "/dt/dtZjzhtgxSy/ztxx/" + zjzhsjid,
    method: "get",
  });
}
//保存套管鞋水眼
export function saveTgxsy(data) {
  return request({
    url: "/dt/dtZjzhtgxSy",
    method: "post",
    data: data,
  });
}
//编辑套管鞋水眼
export function editTgxsy(data) {
  return request({
    url: "/dt/dtZjzhtgxSy",
    method: "put",
    data: data,
  });
}
//删除套管鞋水眼
export function deleteTgxsy(id) {
  return request({
    url: "/dt/dtZjzhtgxSy/" + id,
    method: "delete",
  });
}
//套管鞋排量
// 套管鞋排量
export function getTgxsypl(zjzhsjid) {
  return request({
    url: "/dt/dtZjzhtgxPl/ztxx/" + zjzhsjid,
    method: "get",
  });
}
//保存套管鞋
export function saveTgxsypl(data) {
  return request({
    url: "/dt/dtZjzhtgxPl",
    method: "post",
    data: data,
  });
}
//编辑套管鞋排量
export function editTgxpl(data) {
  return request({
    url: "/dt/dtZjzhtgxPl",
    method: "put",
    data: data,
  });
}
//删除套管鞋排量
export function deleteTgxpl(id) {
  return request({
    url: "/dt/dtZjzhtgxPl/" + id,
    method: "delete",
  });
}
// 套管鞋结束----//

// 9.11新加接口 实际-钻井-司钻
export function getXzsz(query) {
  return request({
    url: "/slzh/stSlzh/dtZjSz_slzh_lg",
    method: "get",
    params: query,
  });
}
//10.10新加下拉框
//根据施工步骤id查询趟钻下拉框
export function getTzxl(query) {
  return request({
    url: "/dt/dtTzxl/selectList",
    method: "get",
    params: query,
  });
}
//根据施工步骤id查询趟钻下拉框
export function getTzxxxl(query) {
  return request({
    url: "/dt/dtTzxlxx/selectList",
    method: "get",
    params: query,
  });
}
// 实际 11.28新加
// 实际-钻井预览图
export function zuanjinYl(query) {
  return request({
    url: "/tb/tbxq/dt_zj",
    method: "get",
    params: query,
  });
}
// 实际-起钻预览图
export function qixiazuanYl(query) {
  return request({
    url: "/tb/tbxq/dt_qz",
    method: "get",
    params: query,
  });
}
// 实际-下钻
export function xiazuanYl(query) {
  return request({
    url: "/tb/tbxq/dt_xz",
    method: "get",
    params: query,
  });
}
// 实际-提离
export function tiliYl(query) {
  return request({
    url: "/tb/tbxq/dt_tljd",
    method: "get",
    params: query,
  });
}
